# RakNet::SearchByFilter_Func Struct Reference
[RoomsCommands]

Return all rooms that pass the roomQuery filter. More...

`#include <RoomsPlugin.h>`

Inheritance diagram for RakNet::SearchByFilter_Func:

List of all members.

## Detailed Description

Return all rooms that pass the roomQuery filter.

Use onlyJoinable to further filter by rooms that you can join (not locked, not banned, public or invited slots)

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/Lobby2/Rooms/RoomsPlugin.h